# OpenSC API Reference

sc_get_challenge
3
opensc

# sc_get_challenge

Request a challenge from a card

## Synopsis

    #include <opensc.h>

    int sc_get_challenge(struct sc_card *card, unsigned char *rnd, size_t len);

## Description

This function requests a challenge (i.e. random bytes) from card. The returned data will be stored in rnd, and will be len bytes long.

## Return value

Returns 0 if successful, or a negative value in case of error.